summaryrefslogtreecommitdiffstats
path: root/contrib
diff options
context:
space:
mode:
authorPau Espin Pedrol <pespin@sysmocom.de>2017-08-31 16:58:33 +0200
committerPau Espin Pedrol <pespin@sysmocom.de>2017-08-31 17:23:26 +0200
commitd3fce46f5836ba7ba5469269698da1f5de89e2f6 (patch)
treeb5d0500506030b1f767e0418dd8b4e4c6edb153d /contrib
parentc54c294df312e1499a5371ff5c8ded2996780cf0 (diff)
contrib: Add scripts to build osmo-pcu
Diffstat (limited to 'contrib')
-rwxr-xr-xcontrib/jenkins-build-osmo-pcu-sysmo.sh19
-rwxr-xr-xcontrib/jenkins-build-osmo-pcu.sh10
2 files changed, 29 insertions, 0 deletions
diff --git a/contrib/jenkins-build-osmo-pcu-sysmo.sh b/contrib/jenkins-build-osmo-pcu-sysmo.sh
new file mode 100755
index 0000000..b912252
--- /dev/null
+++ b/contrib/jenkins-build-osmo-pcu-sysmo.sh
@@ -0,0 +1,19 @@
+#!/bin/sh
+set -e -x
+
+poky="/opt/poky/1.5.4"
+. "$poky/environment-setup-armv5te-poky-linux-gnueabi"
+
+# Cross-compilation: all installations need to be put in the sysmo SDK sysroot
+export DESTDIR="$poky/sysroots/armv5te-poky-linux-gnueabi"
+
+base="$PWD"
+name="osmo-pcu-sysmo"
+prefix="/usr/local/jenkins-build/inst-$name"
+prefix_real="$DESTDIR$prefix"
+. "$(dirname "$0")/jenkins-build-common.sh"
+
+build_repo libosmocore --disable-pcsc --disable-doxygen
+build_repo osmo-pcu --enable-sysmocom-dsp
+
+create_bin_tgz
diff --git a/contrib/jenkins-build-osmo-pcu.sh b/contrib/jenkins-build-osmo-pcu.sh
new file mode 100755
index 0000000..7953875
--- /dev/null
+++ b/contrib/jenkins-build-osmo-pcu.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+set -e -x
+base="$PWD"
+name="osmo-pcu"
+. "$(dirname "$0")/jenkins-build-common.sh"
+
+build_repo libosmocore --disable-pcsc --disable-doxygen
+build_repo osmo-pcu
+
+create_bin_tgz